package mods.immibis.autofood;

import java.util.List;

import net.minecraft.block.material.Material;
import net.minecraft.client.renderer.texture.IconRegister;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.ItemStack;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.Icon;
import mods.immibis.core.BlockCombined;

public class AutoFoodMachineBlock extends BlockCombined {

	public AutoFoodMachineBlock(int i) {
		super(i, Material.iron);
		
		setHardness(2.0f);
		setCreativeTab(CreativeTabs.tabMisc);
	}
	
	private Icon iAF1;
	
	@Override
	public void registerIcons(IconRegister par1IconRegister) {
		iAF1 = par1IconRegister.registerIcon("autofood:autofeeder");
	}
	
	@Override
	public Icon getIcon(int par1, int par2) {
		if(par1 == 0)
			return iAF1;
		
		return iAF1;
	}

	@Override
	public TileEntity getBlockEntity(int data) {
		switch(data) {
		case 0: return new AutoFeederTile();
		}
		return null;
	}

	@Override
	public void getCreativeItems(List<ItemStack> is) {
		is.add(new ItemStack(this, 1, 0));
	}

}
